-- Star Wars Empire at War: Secrets of a Fallen Empire
-- Lua Script: //Scripts/GameObject/ObjectScript_SpawnIonNebula.lua
-- Author: Galyana
-- Updated: 6 February, 2026

-- Spawns the emitter satellite's ion storm nebula

require("PGStateMachine")
require("PGSpawnUnits")

function Definitions()
	ServiceRate = 1   
	Define_State("State_Init", State_Init);    
end

function State_Init(message)
	ref_type = Find_Object_Type("Nebula_Ion_Storm_Emitter")
	position = Object.Get_Position()
	player = Object.Get_Owner()

	if message == OnEnter then          
		Spawn_Unit(ref_type, position, player)  
	end       
end